=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
            Loic Minier <lool@dooz.org>,
            Pino Toscano <pino@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 10.3~),
                dpkg (>= 1.16.1),
+               cmake,
                libglib2.0-dev (>= 2.41),
                libfontconfig1-dev,
-               libqt4-dev (>= 4:4.7.0),
                libcairo2-dev (>= 1.10.0),
                libjpeg-dev,
                libpng-dev,
@@ -27,13 +27,12 @@
                libnss3-dev,
                libglib2.0-doc,
                libcairo2-doc
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: http://poppler.freedesktop.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-freedesktop/poppler.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freedesktop/poppler.git
-Testsuite: autopkgtest
-
-Package: libpoppler68
+Vcs-Git: https://salsa.debian.org/freedesktop-team/poppler.git
+Vcs-Browser: https://salsa.debian.org/freedesktop-team/poppler
+
+Package: libpoppler73
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -50,7 +49,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library -- development files
@@ -66,8 +65,6 @@
 Depends: libpoppler-dev (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libfreetype6-dev,
-Breaks: libpoppler-dev (<< 0.20.2)
-Replaces: libpoppler-dev (<< 0.20.2)
 Description: PDF rendering library -- private development files
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -79,7 +76,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (GLib-based shared library)
@@ -108,11 +105,9 @@
 Package: libpoppler-glib-doc
 Architecture: all
 Section: doc
-Depends: libglib2.0-doc,
-         libcairo2-doc,
-         ${misc:Depends}
-Breaks: libpoppler-glib-dev (<< 0.22.5)
-Replaces: libpoppler-glib-dev (<< 0.22.5)
+Depends: ${misc:Depends}
+Recommends: libglib2.0-doc,
+            libcairo2-doc,
 Description: PDF rendering library -- documentation for the GLib interface
  Poppler is a PDF rendering library based on Xpdf PDF viewer.
  .
@@ -134,40 +129,12 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: libpoppler-qt4-4
-Architecture: any
-Section: libs
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: PDF rendering library (Qt 4 based shared library)
- Poppler is a PDF rendering library based on Xpdf PDF viewer.
- .
- This package provides the Qt 4 based shared library for applications
- using the Qt 4 interface to Poppler.
-
-Package: libpoppler-qt4-dev
-Architecture: any
-Section: libdevel
-Depends: libpoppler-qt4-4 (= ${binary:Version}),
-         libpoppler-dev (= ${binary:Version}),
-         libqt4-dev (>= 4:4.7.0),
-         ${shlibs:Depends},
-         ${misc:Depends}
-Description: PDF rendering library -- development files (Qt 4 interface)
- Poppler is a PDF rendering library based on Xpdf PDF viewer.
- .
- This package contains the headers and development libraries needed to
- build applications using the Qt 4-based Poppler interface.
-
 Package: libpoppler-qt5-1
 Architecture: any
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Description: PDF rendering library (Qt 5 based shared library)
@@ -196,7 +163,7 @@
 Section: libs
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Conflicts: libpoppler-cpp0
@@ -225,7 +192,7 @@
 Architecture: any
 Section: utils
 Multi-Arch: foreign
-Depends: libpoppler68 (= ${binary:Version}),
+Depends: libpoppler73 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 # should really be just the following:
