=== debian/tests/control ===
Tests: cpp
Depends: build-essential, pkg-config, libpoppler-cpp-dev, cups-filters

Tests: glib
Depends: build-essential, pkg-config, libpoppler-glib-dev, cups-filters

Tests: qt5
Depends: build-essential, pkg-config, libpoppler-qt5-dev, cups-filters
