## poppler 0.68.0

=== debian/changelog ===
poppler (0.68.0-0ubuntu1) cosmic; urgency=medium

  * New upstream version
    - TextPage: Add horizontal scaling to font matrix (lp: #1761567)
  * Updated for the soname change libpoppler73 -> 79
  * debian/patches/proper-init.patch:
    - removed, the issue has been fixed upstream in another way since
  * debian/patches/01-new-gtk-doc.patch,
    debian/patches/cairo-good-filter.patch,
    debian/patches/CVE-2017-18267.patch:
    - removed, the fixes are in the new version
  * debian/patches/series:
    - added a comment about the remaining patches

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Aug 2018 11:30:47 +0200

poppler (0.62.0-2ubuntu3) cosmic; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2017-18267.patch: fix issue for malformed
      documents in fofi/FoFiType1C.cc.
    - CVE-2017-18267

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 16 May 2018 13:30:19 -0300
