=== debian/rules ===
--- 
+++ 
@@ -55,11 +55,11 @@
 	dh_missing --list-missing
 
 override_dh_installchangelogs:
-	dh_installchangelogs -plibpoppler73
+	dh_installchangelogs -plibpoppler79
 	dh_installchangelogs --remaining-packages -XChangeLog
 
 override_dh_makeshlibs: $(SYMBOLS_generated)
-	dh_makeshlibs -plibpoppler73 -V
+	dh_makeshlibs -plibpoppler79 -V
 	dh_makeshlibs -plibpoppler-cpp0v5 -V"libpoppler-cpp0v5 (>= 0.46.0)"
 	dh_makeshlibs --remaining-packages
